For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • POSTCreate
        • PATCHToggle Enablement
        • GETGet Multi
        • GETGet non-insurance payer categories
        • GETGet
        • PATCHUpdate
        • DELDelete
Contact Sales
LogoLogo
API ReferenceNon Insurance PayersV1

Update

Beta
PATCH
/api/non-insurance-payers/v1/:non_insurance_payer_id
PATCH
/api/non-insurance-payers/v1/:non_insurance_payer_id
$curl -X PATCH https://api.joincandidhealth.com/api/non-insurance-payers/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "name": "name",
4 "enabled": true,
5 "clinical_trials": [
6 {
7 "clinical_trial_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
8 "clinical_trial_number": "clinical_trial_number",
9 "is_active": true,
10 "name": "name",
11 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
12 "clinical_trial_phase": "Phase 1"
13 },
14 {
15 "clinical_trial_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
16 "clinical_trial_number": "clinical_trial_number",
17 "is_active": true,
18 "name": "name",
19 "non_insurance_payer_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
20 "clinical_trial_phase": "Phase 1"
21 }
22 ],
23 "description": "description",
24 "category": "category",
25 "address": {
26 "address1": "address1",
27 "city": "city",
28 "state": "AA",
29 "zip_code": "zip_code",
30 "address2": "address2",
31 "zip_plus_four_code": "zip_plus_four_code"
32 }
33}
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

non_insurance_payer_idUUIDRequired

Request

This endpoint expects an object.
namestringOptional
Max 50 characters allowed
descriptionobjectOptional
categoryobjectOptional
addressobjectOptional

Response

This endpoint returns an object.
non_insurance_payer_idUUID
namestring
enabledboolean
clinical_trialslist of objects
descriptionstring
categorystring
addressobject

Errors

404
Entity Not Found Error
409
Entity Conflict Error